--- title: "getContractUsageList" slug: "platform-costandusage-getcontractusagelist" tags: ["Cost And Usage"] updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-costandusage-getcontractusagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getContractUsageList Available in Classic and VPC Get the list of contract usage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cost/getContractUsageList | ### Request headers For information about the headers common to all Cost and usage APIs, see [Common Cost and usage headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - Up to 1000 (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to query the consolidated status of Organization service accounts - Only available for master. - An error is returned if `isOrganization` and `isPartner` are both `true`. | | `isPartner` | Boolean | Optional | Whether to query partner accounts - Only available for partner representative. - An error is returned if `isOrganization` and `isPartner` are both `true`. | | `memberNoList` | List | Optional | Member ID list - Only available for master or partner representative | | `contractNo` | String | Optional | Contract number | | `startMonth` | String | Required | Query start month (yyyyMM) - Up to 3 months of history available - Example: 202401 | | `endMonth` | String | Required | Query end month (yyyyMM) - Up to 3 months of history available - Example: 202403 | | `contractTypeCode` | String | Optional | Contract type code | | `contractStatusCode` | String | Optional | Contract status code - `NOML` \| `NLEND` - `NOML`: Normal - `NLEND`: Ended | | `regionCode` | String | Optional | Region code - Get through the [getRegionList](/docs/en/platform-region-getregionlist) action. | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getContractUsageList?startMonth=202402&endMonth=202404' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [ContractList](/docs/en/common-vapidatatype-contractlist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` e05dd3ef-****-****-****-bb973f080144 0 success 1 ****** 9294191 VSVR Server (VPC) NOML Normal 2022-05-17T14:57:54+0900 2999-12-31T23:59:59+0900 nas-linux KR VPC VPC 1 SVR.VSVR.HICPU.C002.M004.NET.SSD.B050.G002 10525 11025677 VSVR Server (VPC) VSVR Server (VPC) Usage NOML Normal 2022-05-17T14:57:54+0900 2999-12-31T23:59:59+0900 0 0 VSVR Server (VPC) Usage 202404 864000 USAGE_SEC Usage time (per second) 240 HOUR Hour(s) ```